<?php
/**
 * @file
 * courseplanner.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function courseplanner_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'cp_course_offering_lessons';
  $view->description = 'Lists lessons belonging to a particular course offering.';
  $view->tag = 'courseplanner';
  $view->base_table = 'node';
  $view->human_name = 'Course offering lessons';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'title' => 'title',
    'nid' => 'nid',
    'cp_lesson_date' => 'cp_lesson_date',
    'edit_node' => 'cp_lesson_date',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cp_lesson_date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ' | ',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['label'] = 'Empty text';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No lessons to display.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['cp_section_target_id']['id'] = 'cp_section_target_id';
  $handler->display->display_options['relationships']['cp_section_target_id']['table'] = 'field_data_cp_section';
  $handler->display->display_options['relationships']['cp_section_target_id']['field'] = 'cp_section_target_id';
  $handler->display->display_options['relationships']['cp_section_target_id']['label'] = 'Section';
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date_1']['id'] = 'cp_lesson_date_1';
  $handler->display->display_options['fields']['cp_lesson_date_1']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_1']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_1']['label'] = 'Week';
  $handler->display->display_options['fields']['cp_lesson_date_1']['settings'] = array(
    'format_type' => 'courseplanner_week',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date']['id'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['label'] = 'Day';
  $handler->display->display_options['fields']['cp_lesson_date']['settings'] = array(
    'format_type' => 'courseplanner_daytime',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date_2']['id'] = 'cp_lesson_date_2';
  $handler->display->display_options['fields']['cp_lesson_date_2']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_2']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_2']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Lesson title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['empty'] = '(empty lesson)';
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'cp_section_target_id';
  $handler->display->display_options['fields']['title_1']['label'] = 'Section';
  /* Sort criterion: Content: Date -  start date (cp_lesson_date) */
  $handler->display->display_options['sorts']['cp_lesson_date_value']['id'] = 'cp_lesson_date_value';
  $handler->display->display_options['sorts']['cp_lesson_date_value']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['sorts']['cp_lesson_date_value']['field'] = 'cp_lesson_date_value';
  /* Contextual filter: Content: Course offering (cp_course_offering) */
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['id'] = 'cp_course_offering_target_id';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['table'] = 'field_data_cp_course_offering';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['field'] = 'cp_course_offering_target_id';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['cp_course_offering_target_id']['validate_options']['types'] = array(
    'cp_offering' => 'cp_offering',
  );
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_lesson' => 'cp_lesson',
  );

  /* Display: Lessons list */
  $handler = $view->new_display('panel_pane', 'Lessons list', 'cp_lessons_view');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pane_title'] = 'Course offering lessons';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'cp_course_offering_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Course offering (cp_course_offering)',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: Calendar */
  $handler = $view->new_display('panel_pane', 'Calendar', 'cp_lesson_calendar');
  $handler->display->display_options['defaults']['use_ajax'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'fullcalendar';
  $handler->display->display_options['style_options']['firstDay'] = '1';
  $handler->display->display_options['style_options']['timeformat'] = 'H:mm{ - H:mm}';
  $handler->display->display_options['style_options']['advanced'] = TRUE;
  $handler->display->display_options['style_options']['axisFormat'] = 'H(:mm)';
  $handler->display->display_options['style_options']['timeformatMonth'] = 'H:mm{ - H:mm}';
  $handler->display->display_options['style_options']['timeformatWeek'] = 'H:mm{ - H:mm}';
  $handler->display->display_options['style_options']['timeformatDay'] = 'H:mm{ - H:mm}';
  $handler->display->display_options['style_options']['fields']['url_field'] = 'nid';
  $handler->display->display_options['style_options']['fields']['date_field'] = array(
    'cp_lesson_date' => 'cp_lesson_date',
  );
  $handler->display->display_options['style_options']['fields']['url'] = TRUE;
  $handler->display->display_options['style_options']['fields']['date'] = TRUE;
  $handler->display->display_options['style_options']['fullcalendar_options']['firstHour'] = 8;
  $handler->display->display_options['style_options']['fullcalendar_options']['defaultEventMinutes'] = 60;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['empty'] = '(empty lesson)';
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'cp_section_target_id';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['text'] = 'node/[nid]';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nid']['hide_empty'] = TRUE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date']['id'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['settings'] = array(
    'format_type' => 'courseplanner_daytime',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['pane_title'] = 'Lesson calendar';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'cp_course_offering_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Course offering (cp_course_offering)',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: Weeks */
  $handler = $view->new_display('panel_pane', 'Weeks', 'cp_lessons_week');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'cp_lesson_date_1',
      'rendered' => 1,
      'rendered_strip' => 1,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'cp_lesson_date_1' => 'cp_lesson_date_1',
    'cp_lesson_date' => 'cp_lesson_date',
    'title' => 'title',
    'nodefield' => 'title',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'cp_lesson_date_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cp_lesson_date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nodefield' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date_1']['id'] = 'cp_lesson_date_1';
  $handler->display->display_options['fields']['cp_lesson_date_1']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_1']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_1']['label'] = 'Week';
  $handler->display->display_options['fields']['cp_lesson_date_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cp_lesson_date_1']['settings'] = array(
    'format_type' => 'courseplanner_week',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date']['id'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['label'] = '';
  $handler->display->display_options['fields']['cp_lesson_date']['element_class'] = 'cp-date-weekday';
  $handler->display->display_options['fields']['cp_lesson_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cp_lesson_date']['settings'] = array(
    'format_type' => 'courseplanner_daytime',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['element_wrapper_class'] = 'cp-right';
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Node field */
  $handler->display->display_options['fields']['nodefield']['id'] = 'nodefield';
  $handler->display->display_options['fields']['nodefield']['table'] = 'node';
  $handler->display->display_options['fields']['nodefield']['field'] = 'nodefield';
  $handler->display->display_options['fields']['nodefield']['relationship'] = 'cp_section_target_id';
  $handler->display->display_options['fields']['nodefield']['label'] = '';
  $handler->display->display_options['fields']['nodefield']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['nodefield']['links'] = 0;
  $handler->display->display_options['fields']['nodefield']['comments'] = 0;
  $handler->display->display_options['fields']['nodefield']['skip_rendered'] = 1;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_lesson' => 'cp_lesson',
  );
  /* Filter criterion: Content: Date -  start date (cp_lesson_date) */
  $handler->display->display_options['filters']['cp_lesson_date_value']['id'] = 'cp_lesson_date_value';
  $handler->display->display_options['filters']['cp_lesson_date_value']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['filters']['cp_lesson_date_value']['field'] = 'cp_lesson_date_value';
  $handler->display->display_options['filters']['cp_lesson_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['cp_lesson_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['operator_id'] = 'cp_lesson_date_value_op';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['label'] = 'Show lessons between';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['description'] = 'Enter nothing to show all lessons.';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['operator'] = 'cp_lesson_date_value_op';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['identifier'] = 'date';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['cp_lesson_date_value']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['cp_lesson_date_value']['default_date'] = 'Monday this week';
  $handler->display->display_options['filters']['cp_lesson_date_value']['default_to_date'] = 'Sunday next week';
  $handler->display->display_options['pane_title'] = 'Course offering lessons: weeks';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'cp_course_offering_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Course offering (cp_course_offering)',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: Administer lessons */
  $handler = $view->new_display('panel_pane', 'Administer lessons', 'cp_lessons_admin');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'edit own cp_offering content';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '1';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'rules_component::rules_cp_add_default_lessons' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'rules_component::rules_add_new_lesson' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::node_assign_owner_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'rules_component::rules_clear_a_lesson' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 1,
      'override_label' => 1,
      'label' => 'Clear selected lessons',
    ),
    'rules_component::rules_cp_create_and_add_sections_to_outline' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 1,
      'label' => 'Delete selected lessons',
    ),
    'action::views_bulk_operations_script_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'rules_component::rules_cp_fill_lessons_with_section' => array(
      'selected' => 1,
      'skip_confirmation' => 1,
      'override_label' => 1,
      'label' => 'Fill with a section',
    ),
    'rules_component::rules_cp_fill_lessons' => array(
      'selected' => 1,
      'skip_confirmation' => 1,
      'override_label' => 1,
      'label' => 'Fill with course outline',
    ),
    'action::flag_node_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::node_make_sticky_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::node_make_unsticky_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          '_all_' => '_all_',
        ),
      ),
    ),
    'action::views_bulk_operations_argument_selector_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'url' => '',
      ),
    ),
    'action::node_promote_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::node_publish_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'rules_component::rules_cp_push_lessons_down' => array(
      'selected' => 1,
      'skip_confirmation' => 1,
      'override_label' => 0,
      'label' => '',
    ),
    'action::node_unpromote_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'rules_component::rules_cp_repeat_lesson' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 1,
      'override_label' => 1,
      'label' => 'Repeat until…',
    ),
    'action::node_save_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_send_email_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'rules_component::rules_cp_shift_lessons' => array(
      'selected' => 1,
      'skip_confirmation' => 1,
      'override_label' => 1,
      'label' => 'Shift lessons up/down',
    ),
    'action::node_unpublish_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::node_unpublish_by_keyword_action' => array(
      'selected' => 0,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['empty'] = '(empty lesson)';
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'cp_section_target_id';
  $handler->display->display_options['fields']['nid']['label'] = 'Lesson';
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['text'] = '[title]';
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['nid']['link_to_node'] = TRUE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date']['id'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['text'] = 'change';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_lesson' => 'cp_lesson',
  );
  /* Filter criterion: Content: Date -  start date (cp_lesson_date) */
  $handler->display->display_options['filters']['cp_lesson_date_value']['id'] = 'cp_lesson_date_value';
  $handler->display->display_options['filters']['cp_lesson_date_value']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['filters']['cp_lesson_date_value']['field'] = 'cp_lesson_date_value';
  $handler->display->display_options['filters']['cp_lesson_date_value']['operator'] = 'between';
  $handler->display->display_options['filters']['cp_lesson_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['operator_id'] = 'cp_lesson_date_value_op';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['label'] = 'Show lessons between';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['description'] = 'Enter nothing to show all lessons.';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['operator'] = 'cp_lesson_date_value_op';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['identifier'] = 'date';
  $handler->display->display_options['filters']['cp_lesson_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['cp_lesson_date_value']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['cp_lesson_date_value']['default_date'] = 'Monday this week';
  $handler->display->display_options['filters']['cp_lesson_date_value']['default_to_date'] = '+1 year';
  $handler->display->display_options['pane_title'] = 'Administer course offering lessons';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'cp_course_offering_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Course offering (cp_course_offering)',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: iCal feed */
  $handler = $view->new_display('feed', 'iCal feed', 'feed_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'date_ical';
  $handler->display->display_options['row_plugin'] = 'date_ical';
  $handler->display->display_options['row_options']['date_field'] = 'field_data_cp_lesson_date.cp_lesson_date_value';
  $handler->display->display_options['path'] = 'node/%/export/lessons.ics';
  $handler->display->display_options['displays'] = array(
    'cp_lesson_calendar' => 'cp_lesson_calendar',
    'cp_lessons_admin' => 'cp_lessons_admin',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lessons_week' => 0,
    'cp_offering_lessons_sums' => 0,
  );

  /* Display: RSS feed */
  $handler = $view->new_display('feed', 'RSS feed', 'feed_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Lessons (%1)';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'rss';
  $handler->display->display_options['style_options']['description'] = 'Lessons for %1';
  $handler->display->display_options['row_plugin'] = 'node_rss';
  $handler->display->display_options['row_options']['links'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_lesson' => 'cp_lesson',
  );
  /* Filter criterion: Content: Date -  start date (cp_lesson_date) */
  $handler->display->display_options['filters']['cp_lesson_date_value']['id'] = 'cp_lesson_date_value';
  $handler->display->display_options['filters']['cp_lesson_date_value']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['filters']['cp_lesson_date_value']['field'] = 'cp_lesson_date_value';
  $handler->display->display_options['filters']['cp_lesson_date_value']['operator'] = '>=';
  $handler->display->display_options['filters']['cp_lesson_date_value']['form_type'] = 'date_text';
  $handler->display->display_options['filters']['cp_lesson_date_value']['default_date'] = 'now';
  $handler->display->display_options['path'] = 'node/%/export/rss';
  $handler->display->display_options['displays'] = array(
    'cp_lesson_calendar' => 'cp_lesson_calendar',
    'cp_lessons_admin' => 'cp_lessons_admin',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lessons_week' => 0,
    'cp_offering_lessons_sums' => 0,
  );
  $handler->display->display_options['sitename_title'] = 0;

  /* Display: CSV export */
  $handler = $view->new_display('views_data_export', 'CSV export', 'views_data_export_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['path'] = 'node/%/export/lessons.csv';
  $handler->display->display_options['displays'] = array(
    'cp_lesson_calendar' => 'cp_lesson_calendar',
    'cp_lessons_admin' => 'cp_lessons_admin',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lessons_week' => 0,
    'cp_offering_lessons_sums' => 0,
  );

  /* Display: XLS export */
  $handler = $view->new_display('views_data_export', 'XLS export', 'views_data_export_2');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_xls';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['filename'] = '%1-title.xls';
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['path'] = 'node/%/export/lessons.xls';
  $handler->display->display_options['displays'] = array(
    'cp_lesson_calendar' => 'cp_lesson_calendar',
    'cp_lessons_admin' => 'cp_lessons_admin',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lessons_week' => 0,
    'cp_offering_lessons_sums' => 0,
  );

  /* Display: DOC export */
  $handler = $view->new_display('views_data_export', 'DOC export', 'views_data_export_3');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_doc';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['filename'] = '%1-title.doc';
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['path'] = 'node/%/export/lessons.doc';
  $handler->display->display_options['displays'] = array(
    'cp_lesson_calendar' => 'cp_lesson_calendar',
    'cp_lessons_admin' => 'cp_lessons_admin',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lessons_week' => 0,
    'cp_offering_lessons_sums' => 0,
  );

  /* Display: Lesson date export */
  $handler = $view->new_display('views_data_export', 'Lesson date export', 'views_data_export_4');
  $handler->display->display_options['display_description'] = 'Exports start and end dates for lessons, for later import.';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['attach_text'] = 'Date exports';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['filename'] = '%1-title (date export).txt';
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['style_options']['quote'] = 0;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 0;
  $handler->display->display_options['style_options']['header'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Date */
  $handler->display->display_options['fields']['cp_lesson_date']['id'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date']['label'] = '';
  $handler->display->display_options['fields']['cp_lesson_date']['alter']['text'] = '[cp_lesson_date][cp_lesson_date_1]';
  $handler->display->display_options['fields']['cp_lesson_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cp_lesson_date']['settings'] = array(
    'format_type' => 'courseplanner_export',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: End date */
  $handler->display->display_options['fields']['cp_lesson_date_1']['id'] = 'cp_lesson_date_1';
  $handler->display->display_options['fields']['cp_lesson_date_1']['table'] = 'field_data_cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_1']['field'] = 'cp_lesson_date';
  $handler->display->display_options['fields']['cp_lesson_date_1']['ui_name'] = 'End date';
  $handler->display->display_options['fields']['cp_lesson_date_1']['label'] = '';
  $handler->display->display_options['fields']['cp_lesson_date_1']['alter']['text'] = ', [cp_lesson_date_1]';
  $handler->display->display_options['fields']['cp_lesson_date_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cp_lesson_date_1']['settings'] = array(
    'format_type' => 'courseplanner_export',
    'fromto' => 'value2',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['path'] = 'node/%/export/lesson-dates.txt';
  $handler->display->display_options['displays'] = array(
    'cp_lessons_admin' => 'cp_lessons_admin',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lesson_calendar' => 0,
    'cp_lessons_week' => 0,
    'cp_offering_lessons_sums' => 0,
  );

  /* Display: Sums (sections) */
  $handler = $view->new_display('panel_pane', 'Sums (sections)', 'cp_offering_lessons_sums');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Lessons count';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'cp_section_target_id';
  $handler->display->display_options['fields']['title']['label'] = 'Section';
  $handler->display->display_options['fields']['title']['empty'] = 'No section';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['group_type'] = 'count';
  $handler->display->display_options['fields']['nid']['label'] = 'Number of lessons';
  $handler->display->display_options['fields']['nid']['alter']['text'] = '[title]';
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Sections (cp_sections:delta) */
  $handler->display->display_options['sorts']['delta']['id'] = 'delta';
  $handler->display->display_options['sorts']['delta']['table'] = 'field_data_cp_sections';
  $handler->display->display_options['sorts']['delta']['field'] = 'delta';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_lesson' => 'cp_lesson',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = '!=';
  $handler->display->display_options['pane_title'] = 'Course offering lessons: sums';
  $handler->display->display_options['pane_description'] = 'Displays the number of sections and lessons in a course offering';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'cp_course_offering_target_id' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Course offering (cp_course_offering)',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: Sums (total) */
  $handler = $view->new_display('attachment', 'Sums (total)', 'cp_offering_sums_total');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'nid' => 'nid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['group_type'] = 'count';
  $handler->display->display_options['fields']['nid']['label'] = 'Total number of lessons';
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'cp_offering_lessons_sums' => 'cp_offering_lessons_sums',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lesson_calendar' => 0,
    'cp_lessons_week' => 0,
    'cp_lessons_admin' => 0,
    'panel_pane_1' => 0,
  );

  /* Display: Sums (empty lessons) */
  $handler = $view->new_display('attachment', 'Sums (empty lessons)', 'cp_offering_sums_empty');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'nid' => 'nid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['group_type'] = 'count';
  $handler->display->display_options['fields']['nid']['label'] = 'Empty lessons';
  $handler->display->display_options['fields']['nid']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_lesson' => 'cp_lesson',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['displays'] = array(
    'cp_offering_lessons_sums' => 'cp_offering_lessons_sums',
    'default' => 0,
    'cp_lessons_view' => 0,
    'cp_lesson_calendar' => 0,
    'cp_lessons_week' => 0,
    'cp_lessons_admin' => 0,
    'panel_pane_1' => 0,
  );
  $export['cp_course_offering_lessons'] = $view;

  $view = new view();
  $view->name = 'cp_item_lists';
  $view->description = 'Simple lists of either your own Course planner items, or items marked as favourites.';
  $view->tag = 'courseplanner';
  $view->base_table = 'node';
  $view->human_name = 'Course planner item lists';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'type' => 'type',
    'created' => 'created',
    'ops' => 'ops',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['label'] = 'Empty text';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no items to display.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: Flags: cp_facourite */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Favourite';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'cp_facourite';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'short';
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flag_content';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = 'Favourite';
  /* Contextual filter: Type filter, used for building select lists */
  $handler->display->display_options['arguments']['type']['id'] = 'type';
  $handler->display->display_options['arguments']['type']['table'] = 'node';
  $handler->display->display_options['arguments']['type']['field'] = 'type';
  $handler->display->display_options['arguments']['type']['ui_name'] = 'Type filter, used for building select lists';
  $handler->display->display_options['arguments']['type']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['type']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['type']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['type']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['type']['limit'] = '0';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_offering' => 'cp_offering',
    'cp_outline' => 'cp_outline',
    'cp_section' => 'cp_section',
    'cp_resource' => 'cp_resource',
  );
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'node';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['value'] = array(
    'cp_offering' => 'cp_offering',
    'cp_outline' => 'cp_outline',
    'cp_section' => 'cp_section',
    'cp_resource' => 'cp_resource',
  );
  $handler->display->display_options['filters']['type_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type_1']['expose']['operator_id'] = 'type_1_op';
  $handler->display->display_options['filters']['type_1']['expose']['label'] = 'Filter by type';
  $handler->display->display_options['filters']['type_1']['expose']['operator'] = 'type_1_op';
  $handler->display->display_options['filters']['type_1']['expose']['identifier'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['type_1']['expose']['reduce'] = TRUE;

  /* Display: My items */
  $handler = $view->new_display('panel_pane', 'My items', 'cp_items_per_user');
  $handler->display->display_options['display_description'] = 'Displays the Course planner items for a selected user';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Type filter, used for building select lists */
  $handler->display->display_options['arguments']['type']['id'] = 'type';
  $handler->display->display_options['arguments']['type']['table'] = 'node';
  $handler->display->display_options['arguments']['type']['field'] = 'type';
  $handler->display->display_options['arguments']['type']['ui_name'] = 'Type filter, used for building select lists';
  $handler->display->display_options['arguments']['type']['default_action'] = 'default';
  $handler->display->display_options['arguments']['type']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['type']['default_argument_options']['argument'] = 'all';
  $handler->display->display_options['arguments']['type']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['type']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['type']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['type']['limit'] = '0';
  /* Contextual filter: Content: Author uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'node';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['uid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['uid']['title'] = 'Items by %1';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['uid']['validate']['type'] = 'user';
  $handler->display->display_options['pane_title'] = 'My items';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 0;
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'type' => array(
      'type' => 'none',
      'context' => 'entity:comment.author',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Type filter, used for building select lists',
    ),
    'uid' => array(
      'type' => 'context',
      'context' => 'entity:user.uid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Author uid',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: My favourite items */
  $handler = $view->new_display('panel_pane', 'My favourite items', 'cp_my_favourites');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'My favourite items';
  $handler->display->display_options['display_description'] = 'Displays the favourite Course planner items for the active user.';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '1';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Flags: cp_facourite */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Favourite';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'cp_facourite';
  $handler->display->display_options['pane_title'] = 'My favourite items';
  $handler->display->display_options['pane_description'] = 'Displays favourite items for the logged-in user.';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: Course offering jump menu */
  $handler = $view->new_display('block', 'Course offering jump menu', 'cp_offering_jumpmenu');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'jump_menu';
  $handler->display->display_options['style_options']['hide'] = TRUE;
  $handler->display->display_options['style_options']['path'] = 'nid';
  $handler->display->display_options['style_options']['choose'] = '- Course offerings -';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['text'] = 'node/[nid]';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_offering' => 'cp_offering',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['block_description'] = 'Course offering jump menu';
  $export['cp_item_lists'] = $view;

  $view = new view();
  $view->name = 'cp_outline_sections';
  $view->description = 'Displays sections and their sizes of a selected course outline.';
  $view->tag = 'courseplanner';
  $view->base_table = 'node';
  $view->human_name = 'Outline sections';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'cp_section' => 'cp_section',
    'cp_size' => 'cp_size',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'cp_section' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cp_size' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['label'] = 'Empty text';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no sections in this course outline. You can use the form below to add some.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: Content: Sections (cp_sections) */
  $handler->display->display_options['relationships']['cp_sections_value']['id'] = 'cp_sections_value';
  $handler->display->display_options['relationships']['cp_sections_value']['table'] = 'field_data_cp_sections';
  $handler->display->display_options['relationships']['cp_sections_value']['field'] = 'cp_sections_value';
  $handler->display->display_options['relationships']['cp_sections_value']['label'] = 'Sections info';
  $handler->display->display_options['relationships']['cp_sections_value']['required'] = TRUE;
  $handler->display->display_options['relationships']['cp_sections_value']['delta'] = '-1';
  /* Field: Field: Section */
  $handler->display->display_options['fields']['cp_section']['id'] = 'cp_section';
  $handler->display->display_options['fields']['cp_section']['table'] = 'field_data_cp_section';
  $handler->display->display_options['fields']['cp_section']['field'] = 'cp_section';
  $handler->display->display_options['fields']['cp_section']['relationship'] = 'cp_sections_value';
  $handler->display->display_options['fields']['cp_section']['group_type'] = 'count';
  $handler->display->display_options['fields']['cp_section']['settings'] = array(
    'link' => 1,
  );
  /* Field: Field collection item: Size */
  $handler->display->display_options['fields']['cp_size']['id'] = 'cp_size';
  $handler->display->display_options['fields']['cp_size']['table'] = 'field_data_cp_size';
  $handler->display->display_options['fields']['cp_size']['field'] = 'cp_size';
  $handler->display->display_options['fields']['cp_size']['relationship'] = 'cp_sections_value';
  $handler->display->display_options['fields']['cp_size']['group_type'] = 'sum';
  $handler->display->display_options['fields']['cp_size']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'cp_outline' => 'cp_outline',
  );
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: List of sections */
  $handler = $view->new_display('panel_pane', 'List of sections', 'cp_outline_sections');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pane_title'] = 'Sections in outline';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Nid',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: Sums */
  $handler = $view->new_display('panel_pane', 'Sums', 'cp_outline_sections_sums');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Section */
  $handler->display->display_options['fields']['cp_section']['id'] = 'cp_section';
  $handler->display->display_options['fields']['cp_section']['table'] = 'field_data_cp_section';
  $handler->display->display_options['fields']['cp_section']['field'] = 'cp_section';
  $handler->display->display_options['fields']['cp_section']['relationship'] = 'cp_sections_value';
  $handler->display->display_options['fields']['cp_section']['group_type'] = 'count';
  $handler->display->display_options['fields']['cp_section']['label'] = 'Number of sections';
  $handler->display->display_options['fields']['cp_section']['separator'] = ', ';
  /* Field: Field collection item: Size */
  $handler->display->display_options['fields']['cp_size']['id'] = 'cp_size';
  $handler->display->display_options['fields']['cp_size']['table'] = 'field_data_cp_size';
  $handler->display->display_options['fields']['cp_size']['field'] = 'cp_size';
  $handler->display->display_options['fields']['cp_size']['relationship'] = 'cp_sections_value';
  $handler->display->display_options['fields']['cp_size']['group_type'] = 'sum';
  $handler->display->display_options['fields']['cp_size']['label'] = 'Total size';
  $handler->display->display_options['fields']['cp_size']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  $handler->display->display_options['pane_title'] = 'Sections in outline: sums';
  $handler->display->display_options['pane_description'] = 'Displays the total number of sections, and their total sizes.';
  $handler->display->display_options['pane_category']['name'] = 'Course planner';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Nid',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';
  $export['cp_outline_sections'] = $view;

  $view = new view();
  $view->name = 'cp_section_resources';
  $view->description = 'Lists resources attached to a section';
  $view->tag = 'courseplanner';
  $view->base_table = 'node';
  $view->human_name = 'Section resources';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'cp_list_name',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'cp_list_name' => 'cp_list_name',
    'cp_resource_type' => 'cp_resource_type',
    'title' => 'title',
    'cp_resource_reference' => 'cp_resource_reference',
    'cp_resource_link' => 'cp_resource_reference',
    'cp_resource_file' => 'cp_resource_reference',
    'cp_resource_source' => 'cp_resource_source',
    'item_id' => 'cp_resource_reference',
    'nothing_1' => 'nothing_1',
    'nothing_2' => 'nothing_1',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'cp_list_name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ' | ',
      'empty_column' => 0,
    ),
    'cp_resource_type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cp_resource_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cp_resource_link' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cp_resource_file' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cp_resource_source' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'item_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing_2' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
  );
  /* Relationship: Content: Resource lists (cp_resource_lists) */
  $handler->display->display_options['relationships']['cp_resource_lists_value']['id'] = 'cp_resource_lists_value';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['table'] = 'field_data_cp_resource_lists';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['field'] = 'cp_resource_lists_value';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['label'] = 'Resource lists';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['required'] = TRUE;
  $handler->display->display_options['relationships']['cp_resource_lists_value']['delta'] = '-1';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['cp_resource_target_id']['id'] = 'cp_resource_target_id';
  $handler->display->display_options['relationships']['cp_resource_target_id']['table'] = 'field_data_cp_resource';
  $handler->display->display_options['relationships']['cp_resource_target_id']['field'] = 'cp_resource_target_id';
  $handler->display->display_options['relationships']['cp_resource_target_id']['relationship'] = 'cp_resource_lists_value';
  $handler->display->display_options['relationships']['cp_resource_target_id']['label'] = 'Resource';
  $handler->display->display_options['relationships']['cp_resource_target_id']['required'] = TRUE;
  /* Field: Field collection item: List name */
  $handler->display->display_options['fields']['cp_list_name']['id'] = 'cp_list_name';
  $handler->display->display_options['fields']['cp_list_name']['table'] = 'field_data_cp_list_name';
  $handler->display->display_options['fields']['cp_list_name']['field'] = 'cp_list_name';
  $handler->display->display_options['fields']['cp_list_name']['relationship'] = 'cp_resource_lists_value';
  $handler->display->display_options['fields']['cp_list_name']['label'] = '';
  $handler->display->display_options['fields']['cp_list_name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cp_list_name']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'cp_resource_target_id';
  $handler->display->display_options['fields']['nid_1']['label'] = '';
  $handler->display->display_options['fields']['nid_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid_1']['element_label_colon'] = FALSE;
  /* Field: Content: Reference */
  $handler->display->display_options['fields']['cp_resource_reference']['id'] = 'cp_resource_reference';
  $handler->display->display_options['fields']['cp_resource_reference']['table'] = 'field_data_cp_resource_reference';
  $handler->display->display_options['fields']['cp_resource_reference']['field'] = 'cp_resource_reference';
  $handler->display->display_options['fields']['cp_resource_reference']['relationship'] = 'cp_resource_target_id';
  $handler->display->display_options['fields']['cp_resource_reference']['label'] = '';
  $handler->display->display_options['fields']['cp_resource_reference']['element_label_colon'] = FALSE;
  /* Field: Content: Link */
  $handler->display->display_options['fields']['cp_resource_link']['id'] = 'cp_resource_link';
  $handler->display->display_options['fields']['cp_resource_link']['table'] = 'field_data_cp_resource_link';
  $handler->display->display_options['fields']['cp_resource_link']['field'] = 'cp_resource_link';
  $handler->display->display_options['fields']['cp_resource_link']['relationship'] = 'cp_resource_target_id';
  $handler->display->display_options['fields']['cp_resource_link']['label'] = '';
  $handler->display->display_options['fields']['cp_resource_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cp_resource_link']['click_sort_column'] = 'url';
  /* Field: Content: File */
  $handler->display->display_options['fields']['cp_resource_file']['id'] = 'cp_resource_file';
  $handler->display->display_options['fields']['cp_resource_file']['table'] = 'field_data_cp_resource_file';
  $handler->display->display_options['fields']['cp_resource_file']['field'] = 'cp_resource_file';
  $handler->display->display_options['fields']['cp_resource_file']['relationship'] = 'cp_resource_target_id';
  $handler->display->display_options['fields']['cp_resource_file']['label'] = '';
  $handler->display->display_options['fields']['cp_resource_file']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cp_resource_file']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['cp_resource_file']['delta_offset'] = '0';
  /* Field: Content: Source */
  $handler->display->display_options['fields']['cp_resource_source']['id'] = 'cp_resource_source';
  $handler->display->display_options['fields']['cp_resource_source']['table'] = 'field_data_cp_resource_source';
  $handler->display->display_options['fields']['cp_resource_source']['field'] = 'cp_resource_source';
  $handler->display->display_options['fields']['cp_resource_source']['relationship'] = 'cp_resource_target_id';
  $handler->display->display_options['fields']['cp_resource_source']['label'] = '';
  $handler->display->display_options['fields']['cp_resource_source']['element_label_colon'] = FALSE;
  /* Field: Content: Description */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['relationship'] = 'cp_resource_target_id';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['exclude'] = TRUE;
  $handler->display->display_options['fields']['body']['alter']['max_length'] = '150';
  $handler->display->display_options['fields']['body']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['body']['alter']['trim'] = TRUE;
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'cp_resource_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'node/[nid_1]';
  $handler->display->display_options['fields']['title']['alter']['alt'] = '[body]';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Field collection item: Field collection item ID */
  $handler->display->display_options['fields']['item_id']['id'] = 'item_id';
  $handler->display->display_options['fields']['item_id']['table'] = 'field_collection_item';
  $handler->display->display_options['fields']['item_id']['field'] = 'item_id';
  $handler->display->display_options['fields']['item_id']['relationship'] = 'cp_resource_lists_value';
  $handler->display->display_options['fields']['item_id']['label'] = '';
  $handler->display->display_options['fields']['item_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['item_id']['element_label_colon'] = FALSE;
  /* Field: Link: Edit list */
  $handler->display->display_options['fields']['nothing_1']['id'] = 'nothing_1';
  $handler->display->display_options['fields']['nothing_1']['table'] = 'views';
  $handler->display->display_options['fields']['nothing_1']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing_1']['ui_name'] = 'Link: Edit list';
  $handler->display->display_options['fields']['nothing_1']['label'] = '';
  $handler->display->display_options['fields']['nothing_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nothing_1']['alter']['text'] = 'Edit list';
  $handler->display->display_options['fields']['nothing_1']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['nothing_1']['alter']['path'] = 'field-collection/cp-resource-lists/[item_id]/edit?destination=node/[nid]';
  $handler->display->display_options['fields']['nothing_1']['element_label_colon'] = FALSE;
  /* Field: Link: Remove list */
  $handler->display->display_options['fields']['nothing_2']['id'] = 'nothing_2';
  $handler->display->display_options['fields']['nothing_2']['table'] = 'views';
  $handler->display->display_options['fields']['nothing_2']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing_2']['ui_name'] = 'Link: Remove list';
  $handler->display->display_options['fields']['nothing_2']['label'] = '';
  $handler->display->display_options['fields']['nothing_2']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nothing_2']['alter']['text'] = 'Remove list';
  $handler->display->display_options['fields']['nothing_2']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['nothing_2']['alter']['path'] = 'field-collection/cp-resource-lists/[item_id]/delete?destination=node/[nid]';
  $handler->display->display_options['fields']['nothing_2']['element_label_colon'] = FALSE;
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['edit_node']['alter']['text'] = '[edit_node] | [nothing_1] | [nothing_2]';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'Edit resource';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'cp_section' => 'cp_section',
  );
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_section' => 'cp_section',
  );

  /* Display: Full view */
  $handler = $view->new_display('entity_view', 'Full view', 'full_view');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['entity_type'] = 'node';
  $handler->display->display_options['bundles'] = array(
    0 => 'cp_section',
  );

  /* Display: Teaser */
  $handler = $view->new_display('entity_view', 'Teaser', 'teaser');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_section' => 'cp_section',
  );
  /* Filter criterion: Field collection item: Show list in summary (cp_list_promote) */
  $handler->display->display_options['filters']['cp_list_promote_value']['id'] = 'cp_list_promote_value';
  $handler->display->display_options['filters']['cp_list_promote_value']['table'] = 'field_data_cp_list_promote';
  $handler->display->display_options['filters']['cp_list_promote_value']['field'] = 'cp_list_promote_value';
  $handler->display->display_options['filters']['cp_list_promote_value']['relationship'] = 'cp_resource_lists_value';
  $handler->display->display_options['filters']['cp_list_promote_value']['value'] = array(
    1 => '1',
  );
  $handler->display->display_options['entity_type'] = 'node';
  $handler->display->display_options['bundles'] = array(
    0 => 'cp_section',
  );
  $export['cp_section_resources'] = $view;

  $view = new view();
  $view->name = 'cp_used_in';
  $view->description = 'Lists of places/contexts where a course planner item is used.';
  $view->tag = 'courseplanner';
  $view->base_table = 'node';
  $view->human_name = 'Course item used in';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'mini';
  $handler->display->display_options['pager']['options']['items_per_page'] = '4';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '3';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['sorts']['title']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: Resource used in */
  $handler = $view->new_display('block', 'Resource used in', 'cp_resource_used_in');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Sections using this resource';
  $handler->display->display_options['display_description'] = 'Displays sections using the currently viewed resource.';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Resource lists (cp_resource_lists) */
  $handler->display->display_options['relationships']['cp_resource_lists_value']['id'] = 'cp_resource_lists_value';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['table'] = 'field_data_cp_resource_lists';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['field'] = 'cp_resource_lists_value';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['label'] = 'Resource lists';
  $handler->display->display_options['relationships']['cp_resource_lists_value']['required'] = TRUE;
  $handler->display->display_options['relationships']['cp_resource_lists_value']['delta'] = '-1';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field collection item: Resources (cp_resource) */
  $handler->display->display_options['arguments']['cp_resource_target_id']['id'] = 'cp_resource_target_id';
  $handler->display->display_options['arguments']['cp_resource_target_id']['table'] = 'field_data_cp_resource';
  $handler->display->display_options['arguments']['cp_resource_target_id']['field'] = 'cp_resource_target_id';
  $handler->display->display_options['arguments']['cp_resource_target_id']['relationship'] = 'cp_resource_lists_value';
  $handler->display->display_options['arguments']['cp_resource_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['cp_resource_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['cp_resource_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['cp_resource_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['cp_resource_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['cp_resource_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['cp_resource_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['cp_resource_target_id']['validate_options']['types'] = array(
    'cp_resource' => 'cp_resource',
  );
  $handler->display->display_options['block_description'] = 'Resource used in';

  /* Display: Section used in (outline) */
  $handler = $view->new_display('block', 'Section used in (outline)', 'cp_section_used_in_outline');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Outlines using this section';
  $handler->display->display_options['display_description'] = 'Displays outlines using the currently viewed section.';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Sections (cp_sections) */
  $handler->display->display_options['relationships']['cp_sections_value']['id'] = 'cp_sections_value';
  $handler->display->display_options['relationships']['cp_sections_value']['table'] = 'field_data_cp_sections';
  $handler->display->display_options['relationships']['cp_sections_value']['field'] = 'cp_sections_value';
  $handler->display->display_options['relationships']['cp_sections_value']['label'] = 'Outline sections';
  $handler->display->display_options['relationships']['cp_sections_value']['required'] = TRUE;
  $handler->display->display_options['relationships']['cp_sections_value']['delta'] = '-1';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Section (cp_section) */
  $handler->display->display_options['arguments']['cp_section_target_id']['id'] = 'cp_section_target_id';
  $handler->display->display_options['arguments']['cp_section_target_id']['table'] = 'field_data_cp_section';
  $handler->display->display_options['arguments']['cp_section_target_id']['field'] = 'cp_section_target_id';
  $handler->display->display_options['arguments']['cp_section_target_id']['relationship'] = 'cp_sections_value';
  $handler->display->display_options['arguments']['cp_section_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['cp_section_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['cp_section_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['cp_section_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['cp_section_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['cp_section_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['cp_section_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['cp_section_target_id']['validate_options']['types'] = array(
    'cp_section' => 'cp_section',
  );
  $handler->display->display_options['block_description'] = 'Section used in (outline)';

  /* Display: Outline used in */
  $handler = $view->new_display('block', 'Outline used in', 'cp_outline_used_in');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Course offerings using this outline';
  $handler->display->display_options['display_description'] = 'Displays course offerings using the currently viewed outline.';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Outline (cp_offering_outline) */
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['id'] = 'cp_offering_outline_target_id';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['table'] = 'field_data_cp_offering_outline';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['field'] = 'cp_offering_outline_target_id';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['cp_offering_outline_target_id']['validate_options']['types'] = array(
    'cp_outline' => 'cp_outline',
  );
  $handler->display->display_options['block_description'] = 'Outline used in';

  /* Display: Section used in (offering) */
  $handler = $view->new_display('block', 'Section used in (offering)', 'cp_section_used_in_offering');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Outlines using this section';
  $handler->display->display_options['display_description'] = 'Displays course offerings using the currently viewed section.';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Course offering */
  $handler->display->display_options['fields']['cp_course_offering']['id'] = 'cp_course_offering';
  $handler->display->display_options['fields']['cp_course_offering']['table'] = 'field_data_cp_course_offering';
  $handler->display->display_options['fields']['cp_course_offering']['field'] = 'cp_course_offering';
  $handler->display->display_options['fields']['cp_course_offering']['label'] = '';
  $handler->display->display_options['fields']['cp_course_offering']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cp_course_offering']['settings'] = array(
    'link' => 1,
  );
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Course offering (cp_course_offering) */
  $handler->display->display_options['sorts']['cp_course_offering_target_id']['id'] = 'cp_course_offering_target_id';
  $handler->display->display_options['sorts']['cp_course_offering_target_id']['table'] = 'field_data_cp_course_offering';
  $handler->display->display_options['sorts']['cp_course_offering_target_id']['field'] = 'cp_course_offering_target_id';
  $handler->display->display_options['sorts']['cp_course_offering_target_id']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Section (cp_section) */
  $handler->display->display_options['arguments']['cp_section_target_id']['id'] = 'cp_section_target_id';
  $handler->display->display_options['arguments']['cp_section_target_id']['table'] = 'field_data_cp_section';
  $handler->display->display_options['arguments']['cp_section_target_id']['field'] = 'cp_section_target_id';
  $handler->display->display_options['arguments']['cp_section_target_id']['relationship'] = 'cp_sections_value';
  $handler->display->display_options['arguments']['cp_section_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['cp_section_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['cp_section_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['cp_section_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['cp_section_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['cp_section_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['cp_section_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['cp_section_target_id']['validate_options']['types'] = array(
    'cp_section' => 'cp_section',
  );
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_lesson' => 'cp_lesson',
  );
  $handler->display->display_options['block_description'] = 'Section used in (offering)';
  $export['cp_used_in'] = $view;

  $view = new view();
  $view->name = 'cp_vbo_select_lists';
  $view->description = 'Used to generate select lists for Views Bulk Operations. Not displayed in itself.';
  $view->tag = 'courseplanner';
  $view->base_table = 'node';
  $view->human_name = 'VBO select lists';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['sorts']['title']['order'] = 'DESC';
  /* Contextual filter: Content: Author uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'node';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'cp_outline' => 'cp_outline',
  );

  /* Display: Fill lessons with course outline */
  $handler = $view->new_display('entityreference', 'Fill lessons with course outline', 'fill_lessons');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $export['cp_vbo_select_lists'] = $view;

  return $export;
}
